<html>
<head>
<title>OGRE: Ogre::VertexMorphKeyFrame Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexMorphKeyFrame.html">VertexMorphKeyFrame</a></div>
<h1>Ogre::VertexMorphKeyFrame Class Reference</h1><!-- doxytag: class="Ogre::VertexMorphKeyFrame" --><!-- doxytag: inherits="Ogre::KeyFrame" -->Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::VertexMorphKeyFrame:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1VertexMorphKeyFrame-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#35dbe6428de980b778b0de1b9b7b0c8f">VertexMorphKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *parent, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead.  <a href="#35dbe6428de980b778b0de1b9b7b0c8f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#48d3755bc604497aa3beef2328e0cea3">~VertexMorphKeyFrame</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#5ddc451bdb06a9a1ad69b76661effdfe">setVertexBuffer</a> (const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;buf)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the vertex buffer containing the source positions for this keyframe.  <a href="#5ddc451bdb06a9a1ad69b76661effdfe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#83049487a1ddaf5a582bdc7a3e9c7c18">getVertexBuffer</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the vertex buffer containing positions for this keyframe.  <a href="#83049487a1ddaf5a582bdc7a3e9c7c18"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#a997d1b7826b403fa3375a0cbb63f55d">_clone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *newParent) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clone a keyframe (internal use only).  <a href="#a997d1b7826b403fa3375a0cbb63f55d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the time of this keyframe in the animation sequence.  <a href="#bc6cab6ca252dffa5f7955fbf25707f8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#adbd8587ded444474ce4054377289de3">mBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track. 
<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00148">148</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="35dbe6428de980b778b0de1b9b7b0c8f"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::VertexMorphKeyFrame" ref="35dbe6428de980b778b0de1b9b7b0c8f" args="(const AnimationTrack *parent, Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexMorphKeyFrame::VertexMorphKeyFrame           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>time</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead. 
<p>

</div>
</div><p>
<a class="anchor" name="48d3755bc604497aa3beef2328e0cea3"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::~VertexMorphKeyFrame" ref="48d3755bc604497aa3beef2328e0cea3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexMorphKeyFrame::~VertexMorphKeyFrame           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00153">153</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5ddc451bdb06a9a1ad69b76661effdfe"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::setVertexBuffer" ref="5ddc451bdb06a9a1ad69b76661effdfe" args="(const HardwareVertexBufferSharedPtr &amp;buf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexMorphKeyFrame::setVertexBuffer           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>buf</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the vertex buffer containing the source positions for this keyframe. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>We assume that positions are the first 3 float elements in this buffer, although we don't necessarily assume they're the only ones in there. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>buf</em>&nbsp;</td><td>Vertex buffer link; will not be modified so can be shared read-only data </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="83049487a1ddaf5a582bdc7a3e9c7c18"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::getVertexBuffer" ref="83049487a1ddaf5a582bdc7a3e9c7c18" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&amp; Ogre::VertexMorphKeyFrame::getVertexBuffer           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the vertex buffer containing positions for this keyframe. 
<p>

</div>
</div><p>
<a class="anchor" name="a997d1b7826b403fa3375a0cbb63f55d"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::_clone" ref="a997d1b7826b403fa3375a0cbb63f55d" args="(AnimationTrack *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* Ogre::VertexMorphKeyFrame::_clone           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>newParent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clone a keyframe (internal use only). 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1KeyFrame.html#f7829d77256717381eb1928bbbce7166">Ogre::KeyFrame</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc6cab6ca252dffa5f7955fbf25707f8"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::getTime" ref="bc6cab6ca252dffa5f7955fbf25707f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::KeyFrame::getTime           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the time of this keyframe in the animation sequence. 
<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00060">60</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="adbd8587ded444474ce4054377289de3"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::mBuffer" ref="adbd8587ded444474ce4054377289de3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1VertexMorphKeyFrame.html#adbd8587ded444474ce4054377289de3">Ogre::VertexMorphKeyFrame::mBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00170">170</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34af076d7fda5e0da5fd4be8368a28a5"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::mTime" ref="34af076d7fda5e0da5fd4be8368a28a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">Ogre::KeyFrame::mTime</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00067">67</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e9b9c257bf51af1be9bec3e8f50b4a41"></a><!-- doxytag: member="Ogre::VertexMorphKeyFrame::mParentTrack" ref="e9b9c257bf51af1be9bec3e8f50b4a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>* <a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">Ogre::KeyFrame::mParentTrack</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00068">68</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:13 2008
</p>
</body>
</html>
